package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalConfig;
import org.apache.ibatis.annotations.Param;

/**
 * 参数配置Service接口
 *
 * @author fs
 * @date 2024-03-13
 */
public interface IHospitalConfigService {
    /**
     * 查询参数配置
     *
     * @param configId 参数配置主键
     * @return 参数配置
     */
    public HospitalConfig selectHospitalConfigByConfigId(Long configId);

    /**
     * 查询参数配置列表
     *
     * @param hospitalConfig 参数配置
     * @return 参数配置集合
     */
    public List<HospitalConfig> selectHospitalConfigList(HospitalConfig hospitalConfig);

    /**
     * 新增参数配置
     *
     * @param hospitalConfig 参数配置
     * @return 结果
     */
    public int insertHospitalConfig(HospitalConfig hospitalConfig);

    /**
     * 修改参数配置
     *
     * @param hospitalConfig 参数配置
     * @return 结果
     */
    public int updateHospitalConfig(HospitalConfig hospitalConfig);

    /**
     * 批量删除参数配置
     *
     * @param configIds 需要删除的参数配置主键集合
     * @return 结果
     */
    public int deleteHospitalConfigByConfigIds(Long[] configIds);

    /**
     * 删除参数配置信息
     *
     * @param configId 参数配置主键
     * @return 结果
     */
    public int deleteHospitalConfigByConfigId(Long configId);

    HospitalConfig selectHospitalConfigByKey(String configKey,Long hospitalId);

}


